<?php



$tdatatb_peco_medicamento = array();
$tdatatb_peco_medicamento[".searchableFields"] = array();
$tdatatb_peco_medicamento[".ShortName"] = "tb_peco_medicamento";
$tdatatb_peco_medicamento[".OwnerID"] = "";
$tdatatb_peco_medicamento[".OriginalTable"] = "tb_peco_medicamento";


$tdatatb_peco_medicamento[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_peco_medicamento[".originalPagesByType"] = $tdatatb_peco_medicamento[".pagesByType"];
$tdatatb_peco_medicamento[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_peco_medicamento[".originalPages"] = $tdatatb_peco_medicamento[".pages"];
$tdatatb_peco_medicamento[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_peco_medicamento[".originalDefaultPages"] = $tdatatb_peco_medicamento[".defaultPages"];

//	field labels
$fieldLabelstb_peco_medicamento = array();
$fieldToolTipstb_peco_medicamento = array();
$pageTitlestb_peco_medicamento = array();
$placeHolderstb_peco_medicamento = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_peco_medicamento["English"] = array();
	$fieldToolTipstb_peco_medicamento["English"] = array();
	$placeHolderstb_peco_medicamento["English"] = array();
	$pageTitlestb_peco_medicamento["English"] = array();
	$fieldLabelstb_peco_medicamento["English"]["precoID"] = "Preco ID";
	$fieldToolTipstb_peco_medicamento["English"]["precoID"] = "";
	$placeHolderstb_peco_medicamento["English"]["precoID"] = "";
	$fieldLabelstb_peco_medicamento["English"]["medicamentoID"] = "Medicamento ID";
	$fieldToolTipstb_peco_medicamento["English"]["medicamentoID"] = "";
	$placeHolderstb_peco_medicamento["English"]["medicamentoID"] = "";
	$fieldLabelstb_peco_medicamento["English"]["Fornecedor"] = "Fornecedor";
	$fieldToolTipstb_peco_medicamento["English"]["Fornecedor"] = "";
	$placeHolderstb_peco_medicamento["English"]["Fornecedor"] = "";
	$fieldLabelstb_peco_medicamento["English"]["Preco_cotado"] = "Preço Cotado";
	$fieldToolTipstb_peco_medicamento["English"]["Preco_cotado"] = "";
	$placeHolderstb_peco_medicamento["English"]["Preco_cotado"] = "";
	$fieldLabelstb_peco_medicamento["English"]["descontos"] = "Descontos";
	$fieldToolTipstb_peco_medicamento["English"]["descontos"] = "";
	$placeHolderstb_peco_medicamento["English"]["descontos"] = "";
	$fieldLabelstb_peco_medicamento["English"]["data_cotacao"] = "Data Cotação ";
	$fieldToolTipstb_peco_medicamento["English"]["data_cotacao"] = "";
	$placeHolderstb_peco_medicamento["English"]["data_cotacao"] = "";
	$fieldLabelstb_peco_medicamento["English"]["vigente"] = "Vigente";
	$fieldToolTipstb_peco_medicamento["English"]["vigente"] = "";
	$placeHolderstb_peco_medicamento["English"]["vigente"] = "";
	$fieldLabelstb_peco_medicamento["English"]["observacoes"] = "Observações ";
	$fieldToolTipstb_peco_medicamento["English"]["observacoes"] = "";
	$placeHolderstb_peco_medicamento["English"]["observacoes"] = "";
	$fieldLabelstb_peco_medicamento["English"]["uni_caixa"] = "Unidades / Caixa";
	$fieldToolTipstb_peco_medicamento["English"]["uni_caixa"] = "";
	$placeHolderstb_peco_medicamento["English"]["uni_caixa"] = "";
	$fieldLabelstb_peco_medicamento["English"]["estoque_min_dias"] = "Estoque Min/Dias";
	$fieldToolTipstb_peco_medicamento["English"]["estoque_min_dias"] = "";
	$placeHolderstb_peco_medicamento["English"]["estoque_min_dias"] = "";
	$pageTitlestb_peco_medicamento["English"]["add"] = "Preço Medicamento, Add new";
	if (count($fieldToolTipstb_peco_medicamento["English"]))
		$tdatatb_peco_medicamento[".isUseToolTips"] = true;
}


	$tdatatb_peco_medicamento[".NCSearch"] = true;



$tdatatb_peco_medicamento[".shortTableName"] = "tb_peco_medicamento";
$tdatatb_peco_medicamento[".nSecOptions"] = 0;

$tdatatb_peco_medicamento[".mainTableOwnerID"] = "";
$tdatatb_peco_medicamento[".entityType"] = 0;

$tdatatb_peco_medicamento[".strOriginalTableName"] = "tb_peco_medicamento";

	



$tdatatb_peco_medicamento[".showAddInPopup"] = false;

$tdatatb_peco_medicamento[".showEditInPopup"] = false;

$tdatatb_peco_medicamento[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_peco_medicamento[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_peco_medicamento[".listAjax"] = false;
//	temporary
$tdatatb_peco_medicamento[".listAjax"] = false;

	$tdatatb_peco_medicamento[".audit"] = false;

	$tdatatb_peco_medicamento[".locking"] = false;


$pages = $tdatatb_peco_medicamento[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_peco_medicamento[".edit"] = true;
	$tdatatb_peco_medicamento[".afterEditAction"] = 0;
	$tdatatb_peco_medicamento[".closePopupAfterEdit"] = 1;
	$tdatatb_peco_medicamento[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_peco_medicamento[".add"] = true;
$tdatatb_peco_medicamento[".afterAddAction"] = 0;
$tdatatb_peco_medicamento[".closePopupAfterAdd"] = 1;
$tdatatb_peco_medicamento[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_peco_medicamento[".list"] = true;
}



$tdatatb_peco_medicamento[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_peco_medicamento[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_peco_medicamento[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_peco_medicamento[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_peco_medicamento[".printFriendly"] = true;
}



$tdatatb_peco_medicamento[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_peco_medicamento[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_peco_medicamento[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_peco_medicamento[".isUseAjaxSuggest"] = true;

$tdatatb_peco_medicamento[".rowHighlite"] = true;





$tdatatb_peco_medicamento[".ajaxCodeSnippetAdded"] = false;

$tdatatb_peco_medicamento[".buttonsAdded"] = false;

$tdatatb_peco_medicamento[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_peco_medicamento[".isUseTimeForSearch"] = false;


$tdatatb_peco_medicamento[".badgeColor"] = "e07878";


$tdatatb_peco_medicamento[".allSearchFields"] = array();
$tdatatb_peco_medicamento[".filterFields"] = array();
$tdatatb_peco_medicamento[".requiredSearchFields"] = array();

$tdatatb_peco_medicamento[".googleLikeFields"] = array();
$tdatatb_peco_medicamento[".googleLikeFields"][] = "precoID";
$tdatatb_peco_medicamento[".googleLikeFields"][] = "medicamentoID";
$tdatatb_peco_medicamento[".googleLikeFields"][] = "Fornecedor";
$tdatatb_peco_medicamento[".googleLikeFields"][] = "Preco_cotado";
$tdatatb_peco_medicamento[".googleLikeFields"][] = "descontos";
$tdatatb_peco_medicamento[".googleLikeFields"][] = "data_cotacao";
$tdatatb_peco_medicamento[".googleLikeFields"][] = "vigente";
$tdatatb_peco_medicamento[".googleLikeFields"][] = "observacoes";
$tdatatb_peco_medicamento[".googleLikeFields"][] = "uni_caixa";
$tdatatb_peco_medicamento[".googleLikeFields"][] = "estoque_min_dias";



$tdatatb_peco_medicamento[".tableType"] = "list";

$tdatatb_peco_medicamento[".printerPageOrientation"] = 0;
$tdatatb_peco_medicamento[".nPrinterPageScale"] = 100;

$tdatatb_peco_medicamento[".nPrinterSplitRecords"] = 40;

$tdatatb_peco_medicamento[".geocodingEnabled"] = false;










$tdatatb_peco_medicamento[".pageSize"] = 20;

$tdatatb_peco_medicamento[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_peco_medicamento[".strOrderBy"] = $tstrOrderBy;

$tdatatb_peco_medicamento[".orderindexes"] = array();

$tdatatb_peco_medicamento[".sqlHead"] = "SELECT precoID,  	medicamentoID,  	Fornecedor,  	Preco_cotado,  	descontos,  	data_cotacao,  	vigente,  	observacoes,  	uni_caixa,  	estoque_min_dias";
$tdatatb_peco_medicamento[".sqlFrom"] = "FROM tb_peco_medicamento";
$tdatatb_peco_medicamento[".sqlWhereExpr"] = "";
$tdatatb_peco_medicamento[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_peco_medicamento[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_peco_medicamento[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_peco_medicamento[".highlightSearchResults"] = true;

$tableKeystb_peco_medicamento = array();
$tableKeystb_peco_medicamento[] = "precoID";
$tdatatb_peco_medicamento[".Keys"] = $tableKeystb_peco_medicamento;


$tdatatb_peco_medicamento[".hideMobileList"] = array();




//	precoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "precoID";
	$fdata["GoodName"] = "precoID";
	$fdata["ownerTable"] = "tb_peco_medicamento";
	$fdata["Label"] = GetFieldLabel("tb_peco_medicamento","precoID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "precoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "precoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_peco_medicamento["precoID"] = $fdata;
		$tdatatb_peco_medicamento[".searchableFields"][] = "precoID";
//	medicamentoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "medicamentoID";
	$fdata["GoodName"] = "medicamentoID";
	$fdata["ownerTable"] = "tb_peco_medicamento";
	$fdata["Label"] = GetFieldLabel("tb_peco_medicamento","medicamentoID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "medicamentoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "medicamentoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_peco_medicamento["medicamentoID"] = $fdata;
		$tdatatb_peco_medicamento[".searchableFields"][] = "medicamentoID";
//	Fornecedor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Fornecedor";
	$fdata["GoodName"] = "Fornecedor";
	$fdata["ownerTable"] = "tb_peco_medicamento";
	$fdata["Label"] = GetFieldLabel("tb_peco_medicamento","Fornecedor");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Fornecedor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Fornecedor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_farmacias";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Nome_fantasia";

	

	
	$edata["LookupOrderBy"] = "cidade";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_peco_medicamento["Fornecedor"] = $fdata;
		$tdatatb_peco_medicamento[".searchableFields"][] = "Fornecedor";
//	Preco_cotado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Preco_cotado";
	$fdata["GoodName"] = "Preco_cotado";
	$fdata["ownerTable"] = "tb_peco_medicamento";
	$fdata["Label"] = GetFieldLabel("tb_peco_medicamento","Preco_cotado");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Preco_cotado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Preco_cotado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_peco_medicamento["Preco_cotado"] = $fdata;
		$tdatatb_peco_medicamento[".searchableFields"][] = "Preco_cotado";
//	descontos
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "descontos";
	$fdata["GoodName"] = "descontos";
	$fdata["ownerTable"] = "tb_peco_medicamento";
	$fdata["Label"] = GetFieldLabel("tb_peco_medicamento","descontos");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "descontos";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "descontos";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_peco_medicamento["descontos"] = $fdata;
		$tdatatb_peco_medicamento[".searchableFields"][] = "descontos";
//	data_cotacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "data_cotacao";
	$fdata["GoodName"] = "data_cotacao";
	$fdata["ownerTable"] = "tb_peco_medicamento";
	$fdata["Label"] = GetFieldLabel("tb_peco_medicamento","data_cotacao");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data_cotacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "data_cotacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_peco_medicamento["data_cotacao"] = $fdata;
		$tdatatb_peco_medicamento[".searchableFields"][] = "data_cotacao";
//	vigente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "vigente";
	$fdata["GoodName"] = "vigente";
	$fdata["ownerTable"] = "tb_peco_medicamento";
	$fdata["Label"] = GetFieldLabel("tb_peco_medicamento","vigente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_peco_medicamento["vigente"] = $fdata;
		$tdatatb_peco_medicamento[".searchableFields"][] = "vigente";
//	observacoes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "observacoes";
	$fdata["GoodName"] = "observacoes";
	$fdata["ownerTable"] = "tb_peco_medicamento";
	$fdata["Label"] = GetFieldLabel("tb_peco_medicamento","observacoes");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "observacoes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "observacoes";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_peco_medicamento["observacoes"] = $fdata;
		$tdatatb_peco_medicamento[".searchableFields"][] = "observacoes";
//	uni_caixa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "uni_caixa";
	$fdata["GoodName"] = "uni_caixa";
	$fdata["ownerTable"] = "tb_peco_medicamento";
	$fdata["Label"] = GetFieldLabel("tb_peco_medicamento","uni_caixa");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "uni_caixa";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "uni_caixa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_peco_medicamento["uni_caixa"] = $fdata;
		$tdatatb_peco_medicamento[".searchableFields"][] = "uni_caixa";
//	estoque_min_dias
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "estoque_min_dias";
	$fdata["GoodName"] = "estoque_min_dias";
	$fdata["ownerTable"] = "tb_peco_medicamento";
	$fdata["Label"] = GetFieldLabel("tb_peco_medicamento","estoque_min_dias");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "estoque_min_dias";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "estoque_min_dias";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_peco_medicamento["estoque_min_dias"] = $fdata;
		$tdatatb_peco_medicamento[".searchableFields"][] = "estoque_min_dias";


$tables_data["tb_peco_medicamento"]=&$tdatatb_peco_medicamento;
$field_labels["tb_peco_medicamento"] = &$fieldLabelstb_peco_medicamento;
$fieldToolTips["tb_peco_medicamento"] = &$fieldToolTipstb_peco_medicamento;
$placeHolders["tb_peco_medicamento"] = &$placeHolderstb_peco_medicamento;
$page_titles["tb_peco_medicamento"] = &$pageTitlestb_peco_medicamento;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_peco_medicamento"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_peco_medicamento"] = array();



	
				$strOriginalDetailsTable="tb_lista medicamentos";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_lista medicamentos";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_lista_medicamentos";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_peco_medicamento"][0] = $masterParams;
				$masterTablesData["tb_peco_medicamento"][0]["masterKeys"] = array();
	$masterTablesData["tb_peco_medicamento"][0]["masterKeys"][]="medicamentoID";
				$masterTablesData["tb_peco_medicamento"][0]["detailKeys"] = array();
	$masterTablesData["tb_peco_medicamento"][0]["detailKeys"][]="medicamentoID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_peco_medicamento()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "precoID,  	medicamentoID,  	Fornecedor,  	Preco_cotado,  	descontos,  	data_cotacao,  	vigente,  	observacoes,  	uni_caixa,  	estoque_min_dias";
$proto0["m_strFrom"] = "FROM tb_peco_medicamento";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "precoID",
	"m_strTable" => "tb_peco_medicamento",
	"m_srcTableName" => "tb_peco_medicamento"
));

$proto6["m_sql"] = "precoID";
$proto6["m_srcTableName"] = "tb_peco_medicamento";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "medicamentoID",
	"m_strTable" => "tb_peco_medicamento",
	"m_srcTableName" => "tb_peco_medicamento"
));

$proto8["m_sql"] = "medicamentoID";
$proto8["m_srcTableName"] = "tb_peco_medicamento";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Fornecedor",
	"m_strTable" => "tb_peco_medicamento",
	"m_srcTableName" => "tb_peco_medicamento"
));

$proto10["m_sql"] = "Fornecedor";
$proto10["m_srcTableName"] = "tb_peco_medicamento";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Preco_cotado",
	"m_strTable" => "tb_peco_medicamento",
	"m_srcTableName" => "tb_peco_medicamento"
));

$proto12["m_sql"] = "Preco_cotado";
$proto12["m_srcTableName"] = "tb_peco_medicamento";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "descontos",
	"m_strTable" => "tb_peco_medicamento",
	"m_srcTableName" => "tb_peco_medicamento"
));

$proto14["m_sql"] = "descontos";
$proto14["m_srcTableName"] = "tb_peco_medicamento";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "data_cotacao",
	"m_strTable" => "tb_peco_medicamento",
	"m_srcTableName" => "tb_peco_medicamento"
));

$proto16["m_sql"] = "data_cotacao";
$proto16["m_srcTableName"] = "tb_peco_medicamento";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_peco_medicamento",
	"m_srcTableName" => "tb_peco_medicamento"
));

$proto18["m_sql"] = "vigente";
$proto18["m_srcTableName"] = "tb_peco_medicamento";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "observacoes",
	"m_strTable" => "tb_peco_medicamento",
	"m_srcTableName" => "tb_peco_medicamento"
));

$proto20["m_sql"] = "observacoes";
$proto20["m_srcTableName"] = "tb_peco_medicamento";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "uni_caixa",
	"m_strTable" => "tb_peco_medicamento",
	"m_srcTableName" => "tb_peco_medicamento"
));

$proto22["m_sql"] = "uni_caixa";
$proto22["m_srcTableName"] = "tb_peco_medicamento";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "estoque_min_dias",
	"m_strTable" => "tb_peco_medicamento",
	"m_srcTableName" => "tb_peco_medicamento"
));

$proto24["m_sql"] = "estoque_min_dias";
$proto24["m_srcTableName"] = "tb_peco_medicamento";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto26=array();
$proto26["m_link"] = "SQLL_MAIN";
			$proto27=array();
$proto27["m_strName"] = "tb_peco_medicamento";
$proto27["m_srcTableName"] = "tb_peco_medicamento";
$proto27["m_columns"] = array();
$proto27["m_columns"][] = "precoID";
$proto27["m_columns"][] = "medicamentoID";
$proto27["m_columns"][] = "Fornecedor";
$proto27["m_columns"][] = "Preco_cotado";
$proto27["m_columns"][] = "descontos";
$proto27["m_columns"][] = "data_cotacao";
$proto27["m_columns"][] = "vigente";
$proto27["m_columns"][] = "observacoes";
$proto27["m_columns"][] = "uni_caixa";
$proto27["m_columns"][] = "estoque_min_dias";
$obj = new SQLTable($proto27);

$proto26["m_table"] = $obj;
$proto26["m_sql"] = "tb_peco_medicamento";
$proto26["m_alias"] = "";
$proto26["m_srcTableName"] = "tb_peco_medicamento";
$proto28=array();
$proto28["m_sql"] = "";
$proto28["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto28["m_column"]=$obj;
$proto28["m_contained"] = array();
$proto28["m_strCase"] = "";
$proto28["m_havingmode"] = false;
$proto28["m_inBrackets"] = false;
$proto28["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto28);

$proto26["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto26);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_peco_medicamento";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_peco_medicamento = createSqlQuery_tb_peco_medicamento();


	
		;

										

$tdatatb_peco_medicamento[".sqlquery"] = $queryData_tb_peco_medicamento;

$tableEvents["tb_peco_medicamento"] = new eventsBase;
$tdatatb_peco_medicamento[".hasEvents"] = false;

?>